org.labkey.remoteapi.assay

## Class ImportRunCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<ResponseType>
  - - org.labkey.remoteapi.PostCommand<ImportRunResponse>
    - - org.labkey.remoteapi.assay.ImportRunCommand

-     public class ImportRunCommand
      extends PostCommand<ImportRunResponse>

  Import a new assay run. If no batch is specified, a new batch will be inserted. User: kevink Date: 9/12/12

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportRunCommand(int assayId, java.io.File file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImportRunCommand` | `copy()` Returns a copy of this object.
    `protected org.apache.http.client.methods.HttpUriRequest` | `createRequest(java.net.URI uri)` Overrides `Command.createRequest(URI)` to create an `HttpPost` object.
    `protected ImportRunResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.
    `void` | `setBatchId(int batchId)`
    `void` | `setBatchProperties(java.util.Map<java.lang.String,java.lang.Object> batchProperties)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setFile(java.io.File file)`
    `void` | `setName(java.lang.String name)`
    `void` | `setProperties(java.util.Map<java.lang.String,java.lang.Object> properties)`
    `void` | `setUseJson(boolean useJson)`

    - ### Methods inherited from class org.labkey.remoteapi.PostCommand

      `getJsonObject, setJsonObject`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportRunCommand

          public ImportRunCommand(int assayId,
                                  java.io.File file)

  - ### Method Detail

    - #### setUseJson

          public void setUseJson(boolean useJson)

    - #### setName

          public void setName(java.lang.String name)

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### setFile

          public void setFile(java.io.File file)

    - #### setProperties

          public void setProperties(java.util.Map<java.lang.String,java.lang.Object> properties)

    - #### setBatchId

          public void setBatchId(int batchId)

    - #### setBatchProperties

          public void setBatchProperties(java.util.Map<java.lang.String,java.lang.Object> batchProperties)

    - #### copy

          public ImportRunCommand copy()

      Description copied from class: `Command`
      Returns a copy of this object. Derived classes should override this to copy their own data members
      Overrides:
        `copy` in class `PostCommand<ImportRunResponse>`
      Returns:
        A copy of this object

    - #### createResponse

          protected ImportRunResponse createResponse(java.lang.String text,
                                                     int status,
                                                     java.lang.String contentType,
                                                     org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<ImportRunResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.

    - #### createRequest

          protected org.apache.http.client.methods.HttpUriRequest createRequest(java.net.URI uri)

      Description copied from class: `PostCommand`
      Overrides `Command.createRequest(URI)` to create an `HttpPost` object.

      Override this method if your post command sends something other than JSON in the post body. In your override, create the PostMethod and set the RequestEntity appropriately.

      Overrides:
        `createRequest` in class `PostCommand<ImportRunResponse>`
      Returns:
        The PostMethod object.